org.apache.sling.fileoptim.impl

## Class OptimizeFileOperation

- java.lang.Object
- - org.apache.sling.fileoptim.impl.OptimizeFileOperation

All Implemented Interfaces:
  org.apache.sling.servlets.post.PostOperation

    public class OptimizeFileOperation
    extends Object
    implements org.apache.sling.servlets.post.PostOperation

The File Optimization operation will optimize a file

### Field Summary

### Fields inherited from interface org.apache.sling.servlets.post.PostOperation

`PROP_OPERATION_NAME, SERVICE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`OptimizeFileOperation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doRun(org.apache.sling.api.SlingHttpServletRequest request, List<org.apache.sling.servlets.post.Modification> changes)`
`void` `run(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.servlets.post.PostResponse response, org.apache.sling.servlets.post.SlingPostProcessor[] processors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptimizeFileOperation

    public OptimizeFileOperation()

### Method Detail

#### doRun

    protected void doRun(org.apache.sling.api.SlingHttpServletRequest request,
                         List<org.apache.sling.servlets.post.Modification> changes)
                  throws IOException

Throws:
  `IOException`

#### run

    public void run(org.apache.sling.api.SlingHttpServletRequest request,
                    org.apache.sling.servlets.post.PostResponse response,
                    org.apache.sling.servlets.post.SlingPostProcessor[] processors)

Specified by:
  `run` in interface `org.apache.sling.servlets.post.PostOperation`